Bug 867373 - Change VM naming restrictions to warnings
Change VM naming restrictions to warnings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 07:42 EDT by Simon Grinberg
Modified: 2013-07-28 20:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 03:15:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Grinberg 2012-10-17 07:42:04 EDT
Description of problem:
Currently, there is enforcement for VM naming convention.

On the other hand there where requests from the field (though I couldn't find a matching RFE) for machine names not to restrict anything and give responsibility to the user. User that isn't using the RHEV Syspreping mechanism may wish to provide any name he likes to the VM (example use an alias and not the real machine name)

A good compromise for the desire to assist the user for providing a good naming convention, while eliminate restriction is to covert the validation to a warning and allow him to override the verification = don't nanny the user
Comment 2 Itamar Heim 2013-05-12 03:15:56 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.